Subject: [secdir] secdir review of draft-ietf-dtn-bpsec

From: Dan Harkins <[email-masked]>
Date: Tue, 07 Jan 2020 12:07:01 -0800

Hello,

   1000 pardons for the tardiness of this re-review. It fell through the
cracks and I was reminded of it during the end-of-the-year break.

   This draft is Ready With (a single) Nit.

   This draft is much improved over -06 which I previously reviewed. All
of my recommendations have been acted on (thank you). The addition of
AEAD for the BCB is a very good addition. The block interactions in 3.9
look correct and my only suggestion would be to remove "NOTE:" from the
final paragraph which implies it is informative. Also remove "probably"
because it is most decidedly insecure. Make this a normative paragraph
prohibiting an insecure construction.

   The examples are helpful, especially as one expands on the other,
that helps illustrate the 3.9 block interaction rules.

   regards,

   Dan.